---
lang: en
title: 'API docs: repository.crudrepositoryimpl.findbyid'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.crudrepositoryimpl.findbyid.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CrudRepositoryImpl](./repository.crudrepositoryimpl.md) &gt; [findById](./repository.crudrepositoryimpl.findbyid.md)

## CrudRepositoryImpl.findById() method

<b>Signature:</b>

```typescript
findById(id: ID, filter?: FilterExcludingWhere<T>, options?: Options): Promise<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  id | <code>ID</code> |  |
|  filter | <code>FilterExcludingWhere&lt;T&gt;</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<T>`


